Subject: bug#56974: 29.0.50; Missing documentation for former subr-x macros

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 06 Aug 2022 14:19:43 +0200

Michael Heerdegen <[email-masked]> writes:

> Ehm - isn't the *-less form the old one we intended to obsolete (because
> of it's backwards-compatibility hack), and the *-variant the one we
> actually want to advertise?

when-let is a 3:1 winner over when-let* in the Emacs tree, so I think
the public has spokeneth, and we should document when-let and not
when-let*.  (And just pretend that when-let doesn't have the compat
forms in the manual.)